Index: trunk/NEMO/OPA_SRC/TRD/trddyn.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trddyn.F90	(revision 3)
+++ trunk/NEMO/OPA_SRC/TRD/trddyn.F90	(revision 16)
@@ -34,5 +34,5 @@
 
    !! * Shared module vaiables
-   LOGICAL, PUBLIC, PARAMETER ::   lk_trddyn = .TRUE.   ! momentum trend flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trddyn = .TRUE.    !: momentum trend flag
 
    !! * Substitutions
@@ -231,6 +231,6 @@
             DO ji = 1, jpi
                zhke(10) = zhke(10)   &
-               &   + ub(ji,jj,1) * tautrd(ji,jj,1) * e1u(ji,jj) * e2u(ji,jj) * fse3u(ji,jj,1)   &
-               &   + vb(ji,jj,1) * tautrd(ji,jj,2) * e1v(ji,jj) * e2v(ji,jj) * fse3v(ji,jj,1)
+                  &     + ub(ji,jj,1) * tautrd(ji,jj,1) * e1u(ji,jj) * e2u(ji,jj) * fse3u(ji,jj,1)   &
+                  &     + vb(ji,jj,1) * tautrd(ji,jj,2) * e1v(ji,jj) * e2v(ji,jj) * fse3v(ji,jj,1)
             END DO
          END DO
@@ -240,16 +240,16 @@
             DO jj = 1, jpj
                DO ji = 1, jpi
-                  zpeke    = zpeke + zkepe(ji,jj,jk) * g * fsdept(ji,jj,jk)   &
-                  &                        * e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,jk)
-               END DO
-            END DO
-         END DO
-         
-# if defined key_mpp
-         CALL mpp_sum( zpeke )
-         CALL mpp_sum( zumo , 11 )
-         CALL mpp_sum( zvmo , 11 )
-         CALL mpp_sum( zhke , 10 )
-# endif
+                  zpeke    = zpeke + zkepe(ji,jj,jk) * grav * fsdept(ji,jj,jk)   &
+                     &                     * e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,jk)
+               END DO
+            END DO
+         END DO
+         
+         IF( lk_mpp ) THEN
+            CALL mpp_sum( zpeke )
+            CALL mpp_sum( zumo , 11 )
+            CALL mpp_sum( zvmo , 11 )
+            CALL mpp_sum( zhke , 10 )
+         ENDIF
 
 
@@ -423,9 +423,7 @@
          END DO
       END DO
-# if defined key_mpp
-      CALL mpp_sum( tvols )
-      CALL mpp_sum( tvolu )
-      CALL mpp_sum( tvolv )
-# endif
+      IF( lk_mpp )   CALL mpp_sum( tvols )   ! sums over the global domain
+      IF( lk_mpp )   CALL mpp_sum( tvolu )
+      IF( lk_mpp )   CALL mpp_sum( tvolv )
 
       IF(lwp) THEN
@@ -446,8 +444,8 @@
    !!   Default option :                      NO mementum trend diagnostics
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_trddyn = .FALSE.   ! momentum trend flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trddyn = .FALSE.   !: momentum trend flag
 CONTAINS
    SUBROUTINE trd_dyn( kt )        ! Empty routine
-      WRITE(*,*) kt
+      WRITE(*,*) 'trd_dyn: You should not have seen this print! error?', kt
    END SUBROUTINE trd_dyn
    SUBROUTINE trd_dyn_init         ! Empty routine
Index: trunk/NEMO/OPA_SRC/TRD/trdmld.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 3)
+++ trunk/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 16)
@@ -37,5 +37,5 @@
 
    !! * Shared module variables
-   LOGICAL, PUBLIC, PARAMETER ::   lk_trdmld = .TRUE.   ! momentum trend flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trdmld = .TRUE.    !: momentum trend flag
 
    !! * Module variables
@@ -609,8 +609,8 @@
    !!   Default option :                                       Empty module
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_trdmld = .FALSE.   ! momentum trend flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trdmld = .FALSE.   !: momentum trend flag
 CONTAINS
    SUBROUTINE trd_mld( kt )        ! Empty routine
-      WRITE(*,*) kt
+      WRITE(*,*) 'trd_mld: You should not have seen this print! error?', kt
    END SUBROUTINE trd_mld
 #endif
Index: trunk/NEMO/OPA_SRC/TRD/trdtra.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdtra.F90	(revision 3)
+++ trunk/NEMO/OPA_SRC/TRD/trdtra.F90	(revision 16)
@@ -33,5 +33,5 @@
 
    !! * Shared module variables
-   LOGICAL, PUBLIC, PARAMETER ::   lk_trdtra = .TRUE.   ! momentum trend flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trdtra = .TRUE.    !: momentum trend flag
 
    !! * Substitutions
@@ -95,7 +95,6 @@
             END DO
          END DO
-#if defined key_mpp
-         CALL mpp_sum( tvolt )
-#endif
+         IF( lk_mpp )   CALL mpp_sum( tvolt )   ! sum over the global domain
+
          IF(lwp) THEN
             WRITE(numout,*)
@@ -208,10 +207,10 @@
          END DO
          
-#if defined key_mpp
-         CALL mpp_sum( ztmo, 10 )
-         CALL mpp_sum( zsmo, 10 )
-         CALL mpp_sum( zt2 , 10 )
-         CALL mpp_sum( zs2 , 10 )
-#endif
+         IF( lk_mpp ) THEN
+            CALL mpp_sum( ztmo, 10 )   ! sums over the global domain
+            CALL mpp_sum( zsmo, 10 )
+            CALL mpp_sum( zt2 , 10 )
+            CALL mpp_sum( zs2 , 10 )
+         ENDIF
          
          ! 4. Print
@@ -358,10 +357,7 @@
          END DO
       END DO
-#if defined key_mpp
-      CALL mpp_sum( tvolt )
-#endif
-      IF(lwp) THEN
-         WRITE(numout,*) '          total ocean volume at T-point   tvolt = ',tvolt
-      ENDIF
+      IF( lk_mpp )   CALL mpp_sum( tvolt )   ! sum over the global domain
+
+      IF(lwp) WRITE(numout,*) '          total ocean volume at T-point   tvolt = ',tvolt
 
    END SUBROUTINE trd_tra_init
@@ -371,8 +367,8 @@
    !!   Default case :                                         Empty module
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_trdtra = .FALSE.   ! momentum trend flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trdtra = .FALSE.   !: momentum trend flag
 CONTAINS
    SUBROUTINE trd_tra( kt )        ! Empty routine
-      WRITE(*,*) kt
+      WRITE(*,*) 'trd_tra: You should not have seen this print! error?', kt
    END SUBROUTINE trd_tra
    SUBROUTINE trd_tra_init         ! Empty routine
Index: trunk/NEMO/OPA_SRC/TRD/trdtra_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdtra_oce.F90	(revision 3)
+++ trunk/NEMO/OPA_SRC/TRD/trdtra_oce.F90	(revision 16)
@@ -12,5 +12,5 @@
    PUBLIC
 
-   INTEGER  ::      & !!! namdia :  diagnostics on dynamics and/or tracer trends
+   INTEGER  ::      & !!: namdia :  diagnostics on dynamics and/or tracer trends
       ntrd  = 10 ,  &  !: time step frequency dynamics and tracers trends
       nctls =  0       !: control surface type for trends vertical integration
@@ -25,5 +25,5 @@
    !! Trends diagnostics parameters
    !!---------------------------------------------------------------------
-   INTEGER, PARAMETER ::            &
+   INTEGER, PARAMETER ::            &  !:
 # if defined key_traldf_eiv
       jptrdh = 4,   &  !: number of 3D horiz trends arrays
@@ -38,7 +38,7 @@
    !! Trends diagnostics variables
    !!---------------------------------------------------------------------
-   REAL(wp) ::   &
-      tvolt         ! volume of the whole ocean computed at t-points
-   REAL(wp), DIMENSION(jpi,jpj,jpk,7) ::   &
+   REAL(wp) ::   &  !:
+      tvolt         !: volume of the whole ocean computed at t-points
+   REAL(wp), DIMENSION(jpi,jpj,jpk,7) ::   &  !:
       ttrd             !: trends of the temperature tracer equations
       !                !  ttrd(,,,1) : horizontal advection
@@ -49,13 +49,13 @@
       !                !  ttrd(,,,6) : damping OR vertical EIV
       !                !  ttrd(,,,7) : penetrative solar radiation (T only)
-   REAL(wp), DIMENSION(jpi,jpj,jpk,6) ::   &
+   REAL(wp), DIMENSION(jpi,jpj,jpk,6) ::   &  !:
       strd             !: trends of the salinity tracer equations
       !                !  same as ttrd()
-   REAL(wp), DIMENSION(jpi,jpj,jpk,jptrdh) ::   &
+   REAL(wp), DIMENSION(jpi,jpj,jpk,jptrdh) ::   &  !:
       ttrdh, strdh     !: ttrdh(,,,1) : zonal advection
       !                !  ttrdh(,,,2) : meridional advection
       !                !  ttrdh(,,,3) : zonal EIV
       !                !  ttrdh(,,,4) : meridional EIV
-   REAL(wp), DIMENSION(jpi,jpj,2) ::   &
+   REAL(wp), DIMENSION(jpi,jpj,2) ::   &  !:
       flxtrd,       &  !: tracer forcing trends
       bbltrd           !: tracer bottom boundary layer trends
